> For the complete documentation index, see [llms.txt](https://docs.podplay.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.podplay.app/api/payments/settlements.md).

# Settlements

Financial settlements and reconciliation.

## GET /settlements

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Settlements","description":"Financial settlements and reconciliation."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"SettlementCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SettlementDto"}},"_pagination":{"$ref":"#/components/schemas/PaginationDto"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_pagination","_links"]},"SettlementDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the settlement"},"createdDate":{"format":"date-time","type":"string","description":"Date of creation"},"updatedDate":{"format":"date-time","type":"string","description":"Date of last update"},"payoutDate":{"format":"date-time","type":"string","description":"Date the settlement is scheduled to be paid out","nullable":true},"source":{"type":"string","description":"Source of the settlement"},"description":{"type":"string","description":"Description of the settlement"},"financials":{"description":"Financial details of the settlement","allOf":[{"$ref":"#/components/schemas/SettlementFinancialsDto"}]},"notes":{"type":"string","description":"Any notes or memos related to this settlement","nullable":true},"payment":{"description":"Reference to the payment that was used to create this settlement","nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"lineItems":{"description":"Line items included in this settlement","allOf":[{"$ref":"#/components/schemas/SettlementLineItemCollectionDto"}]},"user":{"description":"Reference to the user who initiated or is related to this settlement, if applicable","allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"orders":{"description":"Reference to the orders that were included in this settlement","nullable":true,"allOf":[{"$ref":"#/components/schemas/CollectionRefDto"}]},"event":{"description":"Reference to the event that was included in this settlement","nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","createdDate","updatedDate","payoutDate","source","description","financials","notes","payment","lineItems","user","orders","event","_links"]},"SettlementFinancialsDto":{"type":"object","properties":{"paymentMethod":{"type":"string","description":"Payment method of the settlement"},"currency":{"type":"string","description":"Currency of the settlement"},"subtotal":{"type":"number","description":"Subtotal of the settlement"},"discounts":{"type":"number","description":"Discounts of the settlement"},"taxableAmount":{"type":"number","description":"Taxable amount of the settlement"},"taxes":{"description":"Taxes of the settlement","type":"array","items":{"$ref":"#/components/schemas/TaxDto"}},"taxAmount":{"type":"number","description":"Tax amount of the settlement"},"grossAmount":{"type":"number","description":"Gross amount of the settlement"},"virtualCredits":{"type":"number","description":"Virtual credits of the settlement"},"paymentGatewayAmount":{"type":"number","description":"Payment gateway amount of the settlement"},"fees":{"type":"number","description":"Fees of the settlement"},"cashAmount":{"type":"number","description":"Cash amount of the settlement"},"feeItems":{"type":"number","description":"Fees of the settlement"},"feeItemsTotal":{"type":"number","description":"Total fees of the settlement"},"netAmount":{"type":"number","description":"Net amount of the settlement"},"netRevenue":{"type":"number","description":"Net revenue of the settlement"}},"required":["paymentMethod","currency","subtotal","discounts","taxableAmount","taxes","taxAmount","grossAmount","virtualCredits","paymentGatewayAmount","fees","cashAmount","feeItems","feeItemsTotal","netAmount","netRevenue"]},"TaxDto":{"type":"object","properties":{"name":{"type":"string","readOnly":true},"amount":{"type":"number","readOnly":true,"description":"Amount (in $) corresponding to this tax item"},"percentage":{"type":"number","readOnly":true,"description":"Tax percentage that was applied to a subtotal amount, used to display the tax rate. eg: {TaxName}: 9%"}},"required":["name","amount","percentage"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"SettlementLineItemCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SettlementLineItemDto"}},"total":{"type":"number","description":"Total number of line items"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","total","_links"]},"SettlementLineItemDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the settlement line item"},"description":{"type":"string","description":"Description of the line item"},"quantity":{"type":"number","description":"Quantity of the item"},"unitPrice":{"type":"number","description":"Unit price of the item"},"unitDiscount":{"type":"number","description":"Unit discount of the item"},"proratedDiscount":{"type":"number","description":"Prorated discount of the item"},"subtotal":{"type":"number","description":"Subtotal of the item"},"totalDiscount":{"type":"number","description":"Total discount of the item"},"taxableAmount":{"type":"number","description":"Taxable amount of the item"},"taxAmount":{"type":"number","description":"Tax amount of the item"},"taxes":{"description":"Taxes of the item","type":"array","items":{"$ref":"#/components/schemas/TaxDto"}},"grossAmount":{"type":"number","description":"Gross amount of the item"},"category":{"type":"string","description":"Category of the item"}},"required":["id","description","quantity","unitPrice","unitDiscount","proratedDiscount","subtotal","totalDiscount","taxableAmount","taxAmount","taxes","grossAmount","category"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"PaginationDto":{"type":"object","properties":{"page":{"type":"number"},"ipp":{"type":"number"},"count":{"type":"number"},"total":{"type":"number"}},"required":["page","ipp","count","total"]}}},"paths":{"/settlements":{"get":{"operationId":"SettlementsController_find","parameters":[{"name":"userId","required":false,"in":"query","schema":{"type":"string"}},{"name":"source","required":false,"in":"query","schema":{"type":"string"}},{"name":"eventId","required":false,"in":"query","schema":{"type":"string"}},{"name":"createdStartDate","required":false,"in":"query","schema":{"format":"date-time","type":"string"}},{"name":"createdEndDate","required":false,"in":"query","schema":{"format":"date-time","type":"string"}},{"name":"grossFrom","required":false,"in":"query","schema":{"type":"number"}},{"name":"grossTo","required":false,"in":"query","schema":{"type":"number"}},{"name":"page","required":false,"in":"query","schema":{"type":"number"}},{"name":"ipp","required":false,"in":"query","schema":{"type":"number"}},{"name":"expand","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sort","required":false,"in":"query","schema":{"type":"string"}},{"name":"paymentId","required":false,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a `SettlementCollectionDto`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SettlementCollectionDto"}}}}},"tags":["Settlements"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.podplay.app/api/payments/settlements.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
